Bug 10611 - backspace broken for interactive commandline apps
Summary: backspace broken for interactive commandline apps
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: termcap   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-06 01:42 UTC by Damien Miller
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-07 19:53:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damien Miller 2000-04-06 01:42:39 UTC
The backspace key no longer works for interactive commandline apps, e.g.
mailx. It instead renders '^H' characters which are not interpreted. e.g.

[damien@neon damien]$ Mail djm@mindrot.org
Subject: blag^H^H^H^H

The new termcap works well for everything else though :)

Comment 1 Bernhard Rosenkraenzer 2000-04-07 19:53:59 UTC
Doesn't happen here - make sure you don't have an old inputrc or .termcap
around.

Comment 2 jszabo 2000-05-13 21:49:59 UTC
stty erase '^h'


Note You need to log in before you can comment on or make changes to this bug.